Bug 1328444 - [RHEL-6] gluster-swift [PERF]: Remove redundant syscalls and reduce network calls
Summary: [RHEL-6] gluster-swift [PERF]: Remove redundant syscalls and reduce network c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-swift
Version: rhgs-3.1
Hardware: All
OS: All
medium
low
Target Milestone: ---
: RHGS 3.1.3
Assignee: Prashanth Pai
QA Contact: surabhi
URL:
Whiteboard:
Depends On: 1314171 1317790
Blocks: 1299184
TreeView+ depends on / blocked
 
Reported: 2016-04-19 11:59 UTC by Prashanth Pai
Modified: 2016-06-23 05:36 UTC (History)
7 users (show)

Fixed In Version: swiftonfile-1.13.1-8
Doc Type: Bug Fix
Doc Text:
Clone Of: 1314171
Environment:
Last Closed: 2016-06-23 05:36:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1246 0 normal SHIPPED_LIVE gluster-swift update for Red Hat Gluster Storage 3.1 update 3 2016-06-23 09:12:59 UTC

Comment 2 Prashanth Pai 2016-05-03 09:15:58 UTC
Upstream changes (rhel7) on review. Moving to POST.

Comment 3 Prashanth Pai 2016-05-05 11:39:18 UTC
Downstream backports to rhel6 (icehouse) merged.
https://code.engineering.redhat.com/gerrit/#/q/status:merged+project:swiftonfile+branch:rhgs-3.1.3-rhel-6+topic:bug-1328444

Comment 4 surabhi 2016-05-10 11:30:32 UTC
Verified the reduced syscalls on RHEL6 as well.Not tested extensively the performance.
swiftonfile-1.13.1-8.el6rhs.noarch


[pid 19074] open("/mnt/gluster-object/test/c1/o1", O_RDONLY|O_CLOEXEC) = 10
[pid 19074] fstat(10, {st_mode=S_IFREG|0755, st_size=11, ...}) = 0
[pid 19074] fgetxattr(10, "user.swift.metadata", 0x0, 0) = 190
[pid 19074] fgetxattr(10, "user.swift.metadata", "{"Content-Length":"11","ETag":"5eb63bbbe01eeed093cb22bb8f5acdc3","X-Timestamp":"1462870215.46422","X-Object-Type":"file","X-Type":"Object","Content-Type":"application/x-www-form-urlencoded"}", 190) = 190
[pid 19074] close(10)                   = 0

[pid 19074] open("/mnt/gluster-object/test/c1/.o1.8086b332b97141b5ac3013b089f4cba4", O_WRONLY|O_CREAT|O_EXCL|O_CLOEXEC, 0777) = 10
[pid 19074] fchown(10, 4294967295, 4294967295) = 0

[pid 19074] fgetxattr(10, "user.swift.metadata", 0x0, 0) = 190
[pid 19074] fgetxattr(10, "user.swift.metadata", "{"Content-Length":"11","ETag":"5eb63bbbe01eeed093cb22bb8f5acdc3","X-Timestamp":"1462878347.53279","X-Object-Type":"file","X-Type":"Object","Content-Type":"application/x-www-form-urlencoded"}", 190) = 190
[pid 19074] fsetxattr(10, "user.swift.metadata", "{"Content-Length":8,"ETag":"15fe514867dd5b4a1abf91ea35ff9e22","X-Object-Type":"file","X-Timestamp":"1462878355.46106","X-Type":"Object","Content-Type":"application/octet-stream"}", 178, 0) = 0
[pid 19074] read(10, "aaaaaaa\n", 65536) = 8
[pid 19074] poll([{fd=4, events=POLLIN|POLLPRI|POLLERR|POLLHUP}, {fd=13, events=POLLIN|POLLPRI|POLLERR|POLLHUP}], 2, 0) = 0 (Timeout)
[pid 19074] read(10, "", 65536)         = 0
[pid 19074] poll([{fd=4, events=POLLIN|POLLPRI|POLLERR|POLLHUP}, {fd=13, events=POLLIN|POLLPRI|POLLERR|POLLHUP}], 2, 0) = 0 (Timeout)
[pid 19074] close(10)                   = 0
[pid 19074] sendto(6, "HTTP/1.1 200 OK\r\nContent-Length:"..., 300, 0, NULL, 0) = 300
[pid 19074] shutdown(6, SHUT_RDWR)      = 0
[pid 19074] close(6)                    = 0
[pid 19074] open("/mnt/gluster-object/test/c1/o1", O_RDONLY|O_CLOEXEC) = 10
[pid 19074] fstat(10, {st_mode=S_IFREG|0755, st_size=8, ...}) = 0
[pid 19074] fgetxattr(10, "user.swift.metadata", 0x0, 0) = 178
[pid 19074] fgetxattr(10, "user.swift.metadata", "{"Content-Length":8,"ETag":"15fe514867dd5b4a1abf91ea35ff9e22","X-Object-Type":"file","X-Timestamp":"1462878355.46106","X-Type":"Object","Content-Type":"application/octet-stream"}", 178) = 178
[pid 19074] close(10)                   = 0
[pid 19074] getxattr("/mnt/gluster-object/test/c1/o1", "user.swift.metadata", 0x0, 0) = 178
[pid 19074] getxattr("/mnt/gluster-object/test/c1/o1", "user.swift.metadata", "{"Content-Length":8,"ETag":"15fe514867dd5b4a1abf91ea35ff9e22","X-Object-Type":"file","X-Timestamp":"1462878355.46106","X-Type":"Object","Content-Type":"application/octet-stream"}", 178) = 178

Comment 6 errata-xmlrpc 2016-06-23 05:36:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1246


Note You need to log in before you can comment on or make changes to this bug.